// ClassInfoDlg_Gui_None.cpp : implementation file
//

#include "stdafx.h"
#include "ClassInfoDlg_Gui_None.h"
#include "XmlClassInfo.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CClassInfoDlg_Gui_None dialog


CClassInfoDlg_Gui_None::CClassInfoDlg_Gui_None(CWnd* pParent /*=NULL*/)
	: CPropertyEditorDlg(CClassInfoDlg_Gui_None::IDD, pParent),
	classInfo_(NULL)
{
	//{{AFX_DATA_INIT(CClassInfoDlg_Gui_None)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CClassInfoDlg_Gui_None::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CClassInfoDlg_Gui_None)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CClassInfoDlg_Gui_None, CPropertyEditorDlg)
	//{{AFX_MSG_MAP(CClassInfoDlg_Gui_None)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CClassInfoDlg_Gui_None message handlers

void CClassInfoDlg_Gui_None::StoreData()
{}

void CClassInfoDlg_Gui_None::SetData(CXmlBaseElement* element)
{
	classInfo_ = dynamic_cast<CXmlClassInfo*>(element);
	assert(classInfo_);
	if (classInfo_ == NULL)
		return;
}

void CClassInfoDlg_Gui_None::OnDataUpdate()
{

}